Package Details: remarkable 1.87-6

Git Clone URL: https://aur.archlinux.org/remarkable.git (read-only, click to copy)
Package Base: remarkable
Description: A free fully featured markdown editor for Linux.
Upstream URL: http://remarkableapp.github.io
Keywords: editor markdown remarkable
Licenses: MIT
Submitter: visit
Maintainer: mbloms
Last Packager: mbloms
Votes: 95
Popularity: 0.63
First Submitted: 2014-08-15 01:38
Last Updated: 2019-12-14 00:26

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

rubduby commented on 2014-11-04 20:13

Same error as nandushines.

==> Validating source files with md5sums...
remarkable_0.975_all.deb ... FAILED
remarkable.install ... Passed
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build remarkable.

nandushines commented on 2014-11-04 10:15

I am unable to install. Need help!

[ananya@firenze]$ pacaur -S remarkable
:: Package(s) remarkable not found in repositories, trying AUR...
:: resolving dependencies...
:: looking for inter-conflicts...

AUR Packages (1): remarkable-0.975-1

:: Proceed with installation? [Y/n] Y
:: Retrieving package(s)...
:: View remarkable PKGBUILD? [Y/n] n
:: View remarkable.install script? [Y/n] n
:: Building remarkable package(s)...
==> Making package: remarkable 0.975-1 (Tue Nov 4 11:10:19 CET 2014)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Downloading remarkable_0.975_all.deb...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 71320 100 71320 0 0 71029 0 0:00:01 0:00:01 --:--:-- 71035
-> Found remarkable.install
==> Validating source files with md5sums...
remarkable_0.975_all.deb ... FAILED
remarkable.install ... Passed
==> ERROR: One or more files did not pass the validity check!
:: remarkable cleaned

visit commented on 2014-10-21 21:04

@jamiemcgowan, Thanks for the update. The extension issue is solved now. I had no issues creating PDFs too. Thanks again, awesome app!

jamiemcgowan commented on 2014-10-21 09:12

I have updated the .deb file to 0.975 [remarkableapp.net/files/remarkable_0.975_all.deb] and it seems to fix any of the markdown issues. [Haven't tested on Arch yet]. Also, there seem to be some problems with PDF export.

jamiemcgowan commented on 2014-10-08 15:51

@visit Yeah I saw that. Removing the third-party extensions does fix it but means that it uses just standard markdown.

visit commented on 2014-10-07 22:54

@jamiemcgowan have you seen the release notes for python-markdown?

https://pythonhosted.org/Markdown/release-2.5.html

Seams they changed the extension interface. If you remove every third-party extension it works flawlessly:

markdown.markdown(text, extensions=['markdown.extensions.extra', 'markdown.extensions.nl2br'])

https://github.com/waylan/Python-Markdown/wiki/Third-Party-Extensions

jamiemcgowan commented on 2014-10-01 20:48

Hey guys.
One of the dependencies, python-markdown, has been updated and seems to be causing the issues. Not really sure whats wrong with it but as @visit says, if you comment out lines 25-44 in /usr/lib/python3.4/site-packages/markdown/extensions/__init__.py it seems to fix it.
This works as a temporary solution. Thanks for the reports.

ronjouch commented on 2014-09-25 12:31

@visit great :) . I was unsure whether that was a program or packaging issue. Thanks for the followup!

visit commented on 2014-09-25 12:29

I've reported it to the author (@jamiemcgowan), as I have no clue what the issue is about.

If you comment out line 25-44 in /usr/lib/python3.4/site-packages/markdown/extensions/__init__.py it will start again. Currently I cant see any other issues with that.

But let's wait what Jamie says.

Chrissss commented on 2014-09-24 13:11

Can confirm ronjouch's problem. I get the same error messages.